//
//  SearchResults.swift
//  Pachyderm
//
//  Created by Shadowfacts on 9/9/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

public class SearchResults: Decodable, ClientModel {
    var client: Client! {
        didSet {
            accounts.client = client
            statuses.client = client
        }
    }
    
    public private(set) var accounts: [Account]
    public private(set) var statuses: [Status]
    public let hashtags: [String]
    
    private enum CodingKeys: String, CodingKey {
        case accounts
        case statuses
        case hashtags
    }
}
