//
//  Context.swift
//  Pachyderm
//
//  Created by Shadowfacts on 9/9/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

public class ConversationContext: Decodable, ClientModel {
    var client: Client! {
        didSet {
            ancestors.client = client
            descendants.client = client
        }
    }
    
    public private(set) var ancestors: [Status]
    public private(set) var descendants: [Status]
    
    private enum CodingKeys: String, CodingKey {
        case ancestors
        case descendants
    }
}
